geowallet
  1. B2P to mobile wallet
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Create a Quotation
      • quotations
    • Create a Transaction
      • Transaction
    • Transaction Query
      • Transaction Query
    • Transaction Status Webhook
  • Business Transaction API
    • Business to Business (B2B)
      • Transaction
    • Business to Person (B2P)
      • Transaction
    • B2P to mobile wallet
      • Transaction
        POST
    • Person to Business (P2B)
      • Transaction
    • Request parameter list
  • Response Codes & Messages
    • Generic Response
    • Beneficiary Validation Responses
    • Quote Response
    • Remit Response
  • Purpose, Source of Funds, and Relationship
    • P2P Purpose for Transaction
    • P2P Source of Funds
    • P2P Relationship
    • Person to Business
    • Business to Person
    • Business to Business
  • Country Specific Parameters list
  • Country Specific Recipient Documents
  • GeoSwift Verify (GSV)
  • About Us
  1. B2P to mobile wallet

Transaction

Developing
POST
api/v1/transactions

Request

Body Params application/jsonRequired

Example
{
    "currency": "NGN",
    "type": "b2p",
    "requestDate": "2026-03-10T10:44:00.000Z",
    "amount": "125000.00",
    "descriptionText": "Reimbursement for field agent travel expenses",
    "transactionReference": "GSWIFT_B2P_US_NG_260310104400",
    "sendingAmount": "138.50",
    "payinCcyCode": "USD",
    "provider": "23490",
    "paymentMode": "cash",
    "authenticationPartnerCode": "AUTH99210",
    "paymentOption": "Mobile Wallet",
    "sendingPartnerCode": "SP20260310CORP",
    "receivingPartnerCode": "RP20260310NG_MW",
    "debitParty": [
        {
            "key": "msisdn",
            "value": "+12125550187"
        }
    ],
    "creditParty": [
        {
            "key": "msisdn",
            "value": "+2348037654321"
        }
    ],
    "senderKyc": {},
    "recipientKyc": {
        "primaryContactCountryCode": "NG",
        "primaryContactNo": "+2348037654321",
        "primaryContactNoType": "personal",
        "emailAddress": "chidi.okeke@fieldagent.ng",
        "subjectName": {
            "firstName": "Chidi",
            "lastName": "Okeke",
            "fullName": "Chidi Emeka Okeke"
        }
    },
    "internationalTransferInformation": {
        "quoteId": "GSQT260310104400B2P",
        "receivingCountry": "NG",
        "remittancePurpose": "Business_Travel",
        "sourceOfFunds": "Business_Income",
        "relationshipSender": "Employer"
    },
    "business": {
        "senderKyc": {
            "businessName": "Global Field Solutions Inc.",
            "businessAddress1": "555 Madison Avenue",
            "businessAddressCity": "New York",
            "businessAddressCountryCode": "US",
            "businessPrimaryContactCountryCode": "US",
            "businessPrimaryContactNo": "12125550187",
            "businessDescription": "Field Data Collection & Market Research",
            "businessCountryCode": "US",
            "businessRegistrationType": "Corporation",
            "businessRegistrationNumber": "NYC-CORP-87654321",
            "businessRegistrationIssueDate": "2015-04-12",
            "businessIDValidThru": "2035-04-12"
        },
        "recepientKyc": {}
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'http://prod-cn.your-api-server.comapi/v1/transactions' \
--header 'Content-Type: application/json' \
--data-raw '{
    "currency": "NGN",
    "type": "b2p",
    "requestDate": "2026-03-10T10:44:00.000Z",
    "amount": "125000.00",
    "descriptionText": "Reimbursement for field agent travel expenses",
    "transactionReference": "GSWIFT_B2P_US_NG_260310104400",
    "sendingAmount": "138.50",
    "payinCcyCode": "USD",
    "provider": "23490",
    "paymentMode": "cash",
    "authenticationPartnerCode": "AUTH99210",
    "paymentOption": "Mobile Wallet",
    "sendingPartnerCode": "SP20260310CORP",
    "receivingPartnerCode": "RP20260310NG_MW",
    "debitParty": [
        {
            "key": "msisdn",
            "value": "+12125550187"
        }
    ],
    "creditParty": [
        {
            "key": "msisdn",
            "value": "+2348037654321"
        }
    ],
    "senderKyc": {},
    "recipientKyc": {
        "primaryContactCountryCode": "NG",
        "primaryContactNo": "+2348037654321",
        "primaryContactNoType": "personal",
        "emailAddress": "chidi.okeke@fieldagent.ng",
        "subjectName": {
            "firstName": "Chidi",
            "lastName": "Okeke",
            "fullName": "Chidi Emeka Okeke"
        }
    },
    "internationalTransferInformation": {
        "quoteId": "GSQT260310104400B2P",
        "receivingCountry": "NG",
        "remittancePurpose": "Business_Travel",
        "sourceOfFunds": "Business_Income",
        "relationshipSender": "Employer"
    },
    "business": {
        "senderKyc": {
            "businessName": "Global Field Solutions Inc.",
            "businessAddress1": "555 Madison Avenue",
            "businessAddressCity": "New York",
            "businessAddressCountryCode": "US",
            "businessPrimaryContactCountryCode": "US",
            "businessPrimaryContactNo": "12125550187",
            "businessDescription": "Field Data Collection & Market Research",
            "businessCountryCode": "US",
            "businessRegistrationType": "Corporation",
            "businessRegistrationNumber": "NYC-CORP-87654321",
            "businessRegistrationIssueDate": "2015-04-12",
            "businessIDValidThru": "2035-04-12"
        },
        "recepientKyc": {}
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-03-12 10:41:51
Previous
B2P to mobile wallet
Next
Transaction
Built with